GET api/InternalApp/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of MapStatusViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| productId | integer |
None. |
|
| colour | string |
None. |
|
| capacity | string |
None. |
|
| brandId | integer |
None. |
|
| manufacture | integer |
None. |
|
| expiry | string |
None. |
|
| product_id | integer |
None. |
|
| inventory_item_id | string |
None. |
|
| mapped_status | boolean |
None. |
|
| mode | string |
None. |
|
| groupId | integer |
None. |
|
| currentStatus | boolean |
None. |
|
| conditionId | integer |
None. |
|
| stockQuantity | integer |
None. |
|
| CanFulfill | boolean |
None. |
|
| fulfillQuantity | integer |
None. |
|
| totalPrice | decimal number |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": 1,
"productId": 2,
"colour": "sample string 3",
"capacity": "sample string 4",
"brandId": 5,
"manufacture": 6,
"expiry": "sample string 7",
"product_id": 1,
"inventory_item_id": "sample string 8",
"mapped_status": true,
"mode": "sample string 10",
"groupId": 11,
"currentStatus": true,
"conditionId": 1,
"stockQuantity": 1,
"canFulfill": true,
"fulfillQuantity": 1,
"totalPrice": 1.0
},
{
"$ref": "1"
}
]